------------
-- DRUID --
------------
if (not Watcher) then
    return;
end

if (select(2, UnitClass('player')) ~= "DRUID") then
    return;
end


Watcher.classDefaults["DRUID"] = {
    ["newDefaultDate"] = 1414354687;
    ["priorityLists"] = {
        [1] = {
            ["settings"] = {};
            ["name"] = "Feral";
            ["spellConditions"] = {
                [1] = {
                    ["filterSetId"] = 33;
                    ["spellId"] = 5217;
                    ["name"] = "Tiger's Fury";
                };
                [2] = {
                    ["filterSetId"] = 29;
                    ["spellId"] = 52610;
                    ["name"] = "Savage Roar";
                };
                [3] = {
                    ["filterSetId"] = 28;
                    ["spellId"] = 1822;
                    ["name"] = "Rake";
                };
                [4] = {
                    ["filterSetId"] = 35;
                    ["spellId"] = 22568;
                    ["name"] = "Ferocious Bite";
                };
                [5] = {
                    ["filterSetId"] = 30;
                    ["spellId"] = 1079;
                    ["name"] = "Rip";
                };
                [6] = {
                    ["filterSetId"] = 31;
                    ["spellId"] = 22568;
                    ["name"] = "Ferocious Bite";
                };
                [7] = {
                    ["filterSetId"] = 34;
                    ["spellId"] = 106832;
                    ["name"] = "Thrash";
                };
                [8] = {
                    ["filterSetId"] = 36;
                    ["spellId"] = 5221;
                    ["name"] = "Shred";
                };
            };
            ["filters"] = {
                [1] = {
                    ["filterType"] = "spec";
                    ["specNum"] = 2;
                };
            };
        };
        [2] = {
            ["settings"] = {};
            ["spellConditions"] = {
                [1] = {
                    ["filterSetId"] = 42;
                    ["spellId"] = 8921;
                    ["name"] = "Moonfire";
                };
                [2] = {
                    ["filterSetId"] = 44;
                    ["spellId"] = 164815;
                    ["name"] = "Sunfire";
                };
            };
            ["name"] = "Balance";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "spec";
                    ["specNum"] = 1;
                };
            };
        };
        [3] = {
            ["settings"] = {};
            ["name"] = "Guardian";
            ["spellConditions"] = {
                [1] = {
                    ["filterSetId"] = 1;
                    ["spellId"] = 33917;
                    ["name"] = "Mangle";
                };
                [2] = {
                    ["filterSetId"] = 4;
                    ["spellId"] = 106832;
                    ["name"] = "Thrash";
                };
                [3] = {
                    ["filterSetId"] = 8;
                    ["spellId"] = 5185;
                    ["name"] = "Healing Touch";
                };
                [4] = {
                    ["filterSetId"] = 9;
                    ["spellId"] = 102351;
                    ["name"] = "Cenarion Ward";
                };
                [5] = {
                    ["filterSetId"] = 19;
                    ["spellId"] = 124974;
                    ["name"] = "Nature's Vigil";
                };
                [6] = {
                    ["filterSetId"] = 2;
                    ["spellId"] = 33745;
                    ["name"] = "Lacerate";
                };
            };
            ["filters"] = {
                [1] = {
                    ["filterType"] = "spec";
                    ["specNum"] = 3;
                };
            };
        };
        [4] = {
            ["settings"] = {};
            ["name"] = "Restoration";
            ["spellConditions"] = {
                [1] = {
                    ["filterSetId"] = 11;
                    ["spellId"] = 147349;
                    ["name"] = "Wild Mushroom";
                };
                [2] = {
                    ["filterSetId"] = 20;
                    ["spellId"] = 18562;
                    ["name"] = "Swiftmend";
                };
                [3] = {
                    ["filterSetId"] = 15;
                    ["spellId"] = 48438;
                    ["name"] = "Wild Growth";
                };
                [4] = {
                    ["filterSetId"] = 9;
                    ["spellId"] = 102351;
                    ["name"] = "Cenarion Ward";
                };
                [5] = {
                    ["filterSetId"] = 14;
                    ["spellId"] = 132158;
                    ["name"] = "Nature's Swiftness";
                };
                [6] = {
                    ["filterSetId"] = 19;
                    ["spellId"] = 124974;
                    ["name"] = "Nature's Vigil";
                };
                [7] = {
                    ["filterSetId"] = 22;
                    ["spellId"] = 108294;
                    ["name"] = "Heart of the Wild";
                };
                [8] = {
                    ["filterSetId"] = 16;
                    ["spellId"] = 740;
                    ["name"] = "Tranquility";
                };
                [9] = {
                    ["filterSetId"] = 5;
                    ["spellId"] = 22812;
                    ["name"] = "Barkskin";
                };
                [10] = {
                    ["filterSetId"] = 18;
                    ["spellId"] = 106898;
                    ["name"] = "Stampeding Roar";
                };
                [11] = {
                    ["filterSetId"] = 21;
                    ["spellId"] = 1850;
                    ["name"] = "Dash";
                };
            };
            ["filters"] = {
                [1] = {
                    ["filterType"] = "spec";
                    ["specNum"] = 4;
                };
            };
        };
    };
    ["version"] = 1;
    ["spells"] = {
        [740] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [16] = true;
            };
        };
        [61336] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [6] = true;
            };
        };
        [147349] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [10] = true;
                [11] = true;
            };
        };
        [1079] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [26] = true;
                [30] = true;
            };
        };
        [22812] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [5] = true;
            };
        };
        [124974] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [19] = true;
            };
        };
        [2912] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [40] = true;
                [41] = true;
            };
        };
        [5176] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [39] = true;
            };
        };
        [1850] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [21] = true;
            };
        };
        [5185] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [7] = true;
                [8] = true;
            };
        };
        [164815] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [43] = true;
                [45] = true;
                [44] = true;
            };
        };
        [108294] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [22] = true;
            };
        };
        [8921] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [37] = true;
                [42] = true;
            };
        };
        [78674] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [38] = true;
            };
        };
        [52610] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [25] = true;
                [29] = true;
            };
        };
        [106832] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [3] = true;
                [4] = true;
                [34] = true;
            };
        };
        [33745] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [2] = true;
            };
        };
        [106898] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [18] = true;
            };
        };
        [5217] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [32] = true;
                [33] = true;
            };
        };
        [5221] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [24] = true;
                [36] = true;
            };
        };
        [102351] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [9] = true;
            };
        };
        [20484] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [12] = true;
            };
        };
        [132158] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [14] = true;
            };
        };
        [88423] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [13] = true;
            };
        };
        [33917] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [1] = true;
            };
        };
        [18562] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [17] = true;
                [20] = true;
            };
        };
        [22568] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [27] = true;
                [31] = true;
                [35] = true;
            };
        };
        [48438] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [15] = true;
            };
        };
        [1822] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [23] = true;
                [28] = true;
            };
        };
    };
    ["filterSets"] = {
        [1] = {
            ["settings"] = {};
            ["spellId"] = 33917;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [2] = {
            ["settings"] = {};
            ["name"] = "Usable";
            ["spellId"] = 33745;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [3] = {
            ["settings"] = {};
            ["spellId"] = 106832;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [4] = {
            ["settings"] = {};
            ["spellId"] = 106832;
            ["name"] = "Debuff(Thrash)";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Thrash";
                    ["filterType"] = "auras";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["ifExists"] = false;
                    ["unit"] = "target";
                    ["remainingTime"] = 6;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = true;
                };
            };
        };
        [5] = {
            ["settings"] = {};
            ["name"] = "Usable";
            ["spellId"] = 22812;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [6] = {
            ["settings"] = {};
            ["name"] = "Usable";
            ["spellId"] = 61336;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [7] = {
            ["settings"] = {};
            ["name"] = "Usable";
            ["spellId"] = 5185;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [8] = {
            ["settings"] = {};
            ["name"] = "DoC HT";
            ["spellId"] = 5185;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Dream of Cenarius";
                    ["ifExists"] = true;
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["unit"] = "player";
                    ["remainingTime"] = 0;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [9] = {
            ["settings"] = {};
            ["spellId"] = 102351;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [10] = {
            ["settings"] = {};
            ["spellId"] = 147349;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [11] = {
            ["settings"] = {};
            ["spellId"] = 147349;
            ["name"] = "Shroom Exists";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["name"] = "";
                    ["slot"] = 1;
                    ["refreshThreshold"] = 5;
                    ["exists"] = false;
                    ["filterType"] = "totem";
                };
            };
        };
        [12] = {
            ["settings"] = {};
            ["spellId"] = 20484;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [13] = {
            ["settings"] = {};
            ["spellId"] = 88423;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [14] = {
            ["settings"] = {};
            ["spellId"] = 132158;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [15] = {
            ["settings"] = {};
            ["spellId"] = 48438;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [16] = {
            ["settings"] = {};
            ["spellId"] = 740;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [17] = {
            ["settings"] = {};
            ["spellId"] = 18562;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [18] = {
            ["settings"] = {};
            ["spellId"] = 106898;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [19] = {
            ["settings"] = {};
            ["spellId"] = 124974;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [20] = {
            ["settings"] = {};
            ["spellId"] = 18562;
            ["name"] = "Off Cooldown";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = true;
                };
            };
        };
        [21] = {
            ["settings"] = {};
            ["spellId"] = 1850;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [22] = {
            ["settings"] = {};
            ["name"] = "Usable";
            ["spellId"] = 108294;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [23] = {
            ["settings"] = {};
            ["spellId"] = 1822;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [24] = {
            ["settings"] = {};
            ["spellId"] = 5221;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [25] = {
            ["settings"] = {};
            ["spellId"] = 52610;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [26] = {
            ["settings"] = {};
            ["spellId"] = 1079;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [27] = {
            ["settings"] = {};
            ["spellId"] = 22568;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [28] = {
            ["settings"] = {};
            ["spellId"] = 1822;
            ["name"] = "Keep DoT Up";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Rake";
                    ["ifExists"] = false;
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["unit"] = "target";
                    ["remainingTime"] = 3;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = true;
                };
            };
        };
        [29] = {
            ["settings"] = {};
            ["spellId"] = 52610;
            ["name"] = "Keep Buff Up";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Savage Roar";
                    ["ifExists"] = false;
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["unit"] = "player";
                    ["remainingTime"] = 6;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = true;
                };
            };
        };
        [30] = {
            ["settings"] = {};
            ["spellId"] = 1079;
            ["name"] = "Keep DoT Up";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Rip";
                    ["ifExists"] = false;
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["unit"] = "target";
                    ["remainingTime"] = 7;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = true;
                };
                [3] = {
                    ["value"] = 4;
                    ["resourceType"] = -1;
                    ["relationship"] = "At Least";
                    ["filterType"] = "secondaryResource";
                };
            };
        };
        [31] = {
            ["settings"] = {};
            ["spellId"] = 22568;
            ["name"] = "Roar and Rip";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Rip";
                    ["ifExists"] = true;
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["unit"] = "target";
                    ["remainingTime"] = 0;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
                [3] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Savage Roar";
                    ["ifExists"] = true;
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["unit"] = "player";
                    ["remainingTime"] = 0;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
                [4] = {
                    ["value"] = 5;
                    ["resourceType"] = -1;
                    ["relationship"] = "At Least";
                    ["filterType"] = "secondaryResource";
                };
                [5] = {
                    ["threshold"] = 50;
                    ["relationship"] = "ABOVE";
                    ["filterType"] = "power";
                };
            };
        };
        [32] = {
            ["settings"] = {};
            ["spellId"] = 5217;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [33] = {
            ["settings"] = {};
            ["spellId"] = 5217;
            ["name"] = "Low Energy";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["threshold"] = 25;
                    ["relationship"] = "BELOW";
                    ["filterType"] = "power";
                };
            };
        };
        [34] = {
            ["settings"] = {};
            ["spellId"] = 106832;
            ["name"] = "Omen of Clarity";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Clearcasting";
                    ["ifExists"] = true;
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["unit"] = "player";
                    ["remainingTime"] = 0;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [35] = {
            ["settings"] = {};
            ["spellId"] = 22568;
            ["name"] = "Execute";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["threshold"] = 25;
                    ["unit"] = "target";
                    ["relationship"] = "BELOW";
                    ["filterType"] = "health";
                };
                [3] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Savage Roar";
                    ["ifExists"] = false;
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["unit"] = "target";
                    ["remainingTime"] = 0;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
                [4] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Rip";
                    ["ifExists"] = false;
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["unit"] = "target";
                    ["remainingTime"] = 0;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [36] = {
            ["settings"] = {};
            ["spellId"] = 5221;
            ["name"] = "Don't Cap CP";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["value"] = 5;
                    ["resourceType"] = -1;
                    ["relationship"] = "At Most";
                    ["filterType"] = "secondaryResource";
                };
            };
        };
        [37] = {
            ["settings"] = {};
            ["name"] = "Usable";
            ["spellId"] = 8921;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [38] = {
            ["settings"] = {};
            ["name"] = "Usable";
            ["spellId"] = 78674;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [39] = {
            ["settings"] = {};
            ["name"] = "Usable";
            ["spellId"] = 5176;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [40] = {
            ["settings"] = {};
            ["name"] = "Usable";
            ["spellId"] = 2912;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [41] = {
            ["settings"] = {};
            ["name"] = "Keep DoT Up";
            ["spellId"] = 2912;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [42] = {
            ["settings"] = {};
            ["name"] = "Keep DoT Up";
            ["spellId"] = 8921;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Moonfire";
                    ["unit"] = "target";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = false;
                    ["remainingTime"] = 10;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = true;
                };
            };
        };
        [43] = {
            ["settings"] = {};
            ["name"] = "Usable";
            ["spellId"] = 164815;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [44] = {
            ["settings"] = {};
            ["name"] = "Keep DoT Up";
            ["spellId"] = 164815;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Sunfire";
                    ["unit"] = "target";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = false;
                    ["remainingTime"] = 10;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = true;
                };
                [3] = {
                    ["value"] = 0;
                    ["resourceType"] = 8;
                    ["relationship"] = "At Least";
                    ["filterType"] = "secondaryResource";
                };
            };
        };
        [45] = {
            ["settings"] = {};
            ["name"] = "Solar End Refresh";
            ["spellId"] = 164815;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["value"] = 0;
                    ["resourceType"] = 8;
                    ["relationship"] = "At Least";
                    ["filterType"] = "secondaryResource";
                };
            };
        };
    };
};
